﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(SoldierKillCollisionDamageProvider))]
public class ObjectiveSoldierKillCounter : ObjectiveBase
{
    #region Structs

    #endregion

    #region Fields

    private SoldierKillCollisionDamageProvider soldierKillCounter;

    #endregion

    #region Unity Methods

    // Use this for initialization
    void Awake()
    {
        soldierKillCounter = GetComponent<SoldierKillCollisionDamageProvider>();
        soldierKillCounter.FullCallBack += KillCountObjectiveComplete;
    }

    // Update is called once per frame
    void Update()
    {

    }

    #endregion

    //    #region ObjectiveBase Methods
    //
    //    protected override void ResetObjective()
    //    {
    //        soldierKillCounter.Reset();
    //    }
    //
    //    #endregion

    #region Public Methods

    public int GetCurrentKillCount()
    {
        return soldierKillCounter.CurrentKillCount;
    }

    public int GetTargetKillCount()
    {
        return soldierKillCounter.MaxKillCount;
    }

    #endregion

    #region Private Methods

    private void KillCountObjectiveComplete()
    {
        ObjectiveComplete();
    }

    #endregion
}
