﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(HealthComponent))]
public class SoldierDeathComponent : MonoBehaviour
{
    public BaseSoldier soldier;

    public void Awake()
    {
        GetComponent<HealthComponent>().EmptyCallBack = Kill;
    }

    public void Kill()
    {
        if (soldier != null)
        {
            //Destroy(gameObject);
            soldier.Despawn();
        }
    }
}
